### Method

# Gsk GLShader format_args_va

#### Declaration [src]

    GBytes*
    gsk_gl_shader_format_args_va (
      GskGLShader* shader,
      va_list uniforms
    )

#### Description [src]

Formats the uniform data as needed for feeding the named uniforms values into the shader.

The argument list is a list of pairs of names, and values for the types that match the declared uniforms (i.e. double/int/guint/gboolean for primitive values and `graphene_vecN_t *` for vecN uniforms).

It is an error to pass a uniform name that is not declared by the shader.

Any uniforms of the shader that are not included in the argument list are zero-initialized.

This method is not directly available to language bindings.

#### Parameters

`uniforms`

  Type: `va_list`

  Name-Value pairs for the uniforms of `shader`, ending with a `NULL` name.

#### Return value

Type: `GBytes`

A newly allocated block of data which can be passed to `gsk_gl_shader_node_new()`.

The caller of the method takes ownership of the data, and is responsible for freeing it.